katello-debug.sh should be moved instead of copied
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1118910

Description of problem:

when running katello-debug to collect logs it says command not found. we found the script that its supposed to call under

/usr/share/katello/scripts/katello-debug.sh

when doing sh /usr/share/katello/scripts/katello-debug.sh it comes back with:

[root@toledosat6 script]# sh katello-debug.sh

katello-debug.sh: line 2: add_files: command not found

katello-debug.sh: line 5: add_files: command not found

katello-debug.sh: line 6: add_files: command not found

katello-debug.sh: line 7: add_files: command not found

katello-debug.sh: line 8: add_files: command not found

katello-debug.sh: line 11: add_files: command not found

katello-debug.sh: line 12: add_files: command not found

katello-debug.sh: line 15: add_files: command not found

katello-debug.sh: line 16: add_files: command not found

katello-debug.sh: line 17: add_files: command not found

katello-debug.sh: line 18: add_files: command not found

katello-debug.sh: line 19: add_files: command not found

katello-debug.sh: line 22: add_cmd: command not found

katello-debug.sh: line 25: add_files: command not found

katello-debug.sh: line 26: add_files: command not found

katello-debug.sh: line 27: add_files: command not found

katello-debug.sh: line 28: add_files: command not found

katello-debug.sh: line 29: add_files: command not found

katello-debug.sh: line 32: add_files: command not found

katello-debug.sh: line 33: add_files: command not found

katello-debug.sh: line 34: add_cmd: command not found

katello-debug.sh: line 35: add_files: command not found

How reproducible:

Steps to Reproduce:

1. run katello-debug = command not found

2. run the script at /usr/share/katello/scripts/katello-debug.sh

3. lots of errors with add_cmd and add_files command not found

Actual results:

[root@toledosat6 script]# sh katello-debug.sh

katello-debug.sh: line 2: add_files: command not found

katello-debug.sh: line 5: add_files: command not found

katello-debug.sh: line 6: add_files: command not found

katello-debug.sh: line 7: add_files: command not found
katello-debug.sh: line 8: add_files: command not found

katello-debug.sh: line 11: add_files: command not found

katello-debug.sh: line 12: add_files: command not found

katello-debug.sh: line 15: add_files: command not found

katello-debug.sh: line 16: add_files: command not found

katello-debug.sh: line 17: add_files: command not found

katello-debug.sh: line 18: add_files: command not found

katello-debug.sh: line 19: add_files: command not found

katello-debug.sh: line 22: add_cmd: command not found

katello-debug.sh: line 25: add_files: command not found

katello-debug.sh: line 26: add_files: command not found

katello-debug.sh: line 27: add_files: command not found

katello-debug.sh: line 28: add_files: command not found

katello-debug.sh: line 29: add_files: command not found

katello-debug.sh: line 32: add_files: command not found

katello-debug.sh: line 33: add_files: command not found

katello-debug.sh: line 34: add_cmd: command not found

katello-debug.sh: line 35: add_files: command not found

Expected results:

katello-debug to run ok

Here is the script:

1. General stuff

add_files "/var/log/audit/audit.log"

1. Candlepin

add_files "/var/log/candlepin/*"

add_files "/var/log/tomcat6/*"

add_files "/etc/candlepin/candlepin.conf"

add_files "/etc/tomcat6/server.xml"

1. Elastic Search

add_files "/var/log/elasticsearch/*"

add_files "/etc/elasticsearch/*"

1. Pulp

add_files "/etc/pulp/*.conf"

add_files "/etc/pulp/server/plugins.conf.d/nodes/distributor/*"

add_files "/var/log/pulp/*"

add_files "/etc/httpd/conf.d/pulp.conf"

add_files "/etc/qpidd.conf"

#Grab the qpid items from syslog

add_cmd "cat /var/log/messages | grep qpidd" "/var/log/qpidd.log"

1. Splice

add_files "/var/log/splice/*"

add_files "/etc/splice/*"

add_files "/etc/httpd/conf.d/splice.conf",

add_files "/etc/cron.d/spacewalk-sst-sync"

add_files "/etc/cron.d/splice-sst-sync"

1. Katello

add_files "/var/log/katello/*"

add_files "/var/log/katello-installer/*"

add_cmd "find /root/ssl-build -ls | sort -k 11" "katello_ssl_build_dir"

add_files "/etc/foreman/plugins/katello.yaml"

Associated revisions

Revision 41200b4d - 08/05/2014 03:34 PM - Bryan Kearney

Fixes #6682 : Add a warning message if the user tries to run katello-debug.sh directly

Revision 71d9d2b9 - 08/05/2014 04:07 PM - Bryan Kearney
Merge pull request #4461 from bkearney/bkearney/6682

Fixes #6682: Move the katello-debug.sh script instead of linking it

History

#1 - 07/18/2014 03:51 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4461 added

- Pull request deleted ()

#2 - 07/22/2014 02:00 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 07/28/2014 08:47 AM - Eric Helms

- Target version changed from 49 to 54

#4 - 08/05/2014 05:01 PM - Bryan Kearney

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|41200b4d3333075db3ef1a55fe04236b4550c931.

#5 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
